var contextPath;
var currentData;
var mineStarNum=0;
var reportId=0;
var saveFlag="true";
//接收地址
function getContextPath(url,Id){
    contextPath = url;
    reportId = Id;
}
//初始化
function loadFunction(tokenId){
    $.ajax({
        type : 'GET',
        url : contextPath+'/rpt/query/allinfo/reportid',
        data:{
            reportId:reportId
        },
        contentType : "application/json; charset=utf-8",
        success : function(datas) {
            if(datas.success){
                var datas = datas.rows;
                currentData = datas;
                $("#top-first")[0].innerHTML=datas[0].reportName;
                $("#top-two")[0].innerHTML=datas[0].reportTypeDesc;
                $("#top-three")[0].innerHTML=formatType(datas[0].authorityType);
                $("#top-four")[0].innerHTML=!!datas[0].scheduleName ? datas[0].scheduleName : "--";
                $("#report-description")[0].innerHTML=datas[0].reportDescription;
                $("#mine-remake-star")[0].setAttribute("reportId",datas[0].reportId);
                $("#intNum")[0].innerHTML=formatInt(datas[0].grade);
                $("#floatNum")[0].innerHTML="."+formatfloat(datas[0].grade);
                $("#sub")[0].setAttribute("reportId",datas[0].reportId);
                $("#unsub")[0].setAttribute("reportId",datas[0].reportId);
                if(datas[0].reportLogo){
                    $(".detail-content-top-img img")[0].src=contextPath+"/sys/attach/file/detail?fileId="+datas[0].reportLogo+"&token="+datas[0]._token;
                }else {
                    $(".detail-content-top-img img")[0].src=contextPath+'/resources/images/RPT/defaultReport.png';
                }
                if(datas[0].subscribeFlag=='Y'){
                    $("#sub")[0].setAttribute("Subscribe","Y");
                    $("#unsub")[0].setAttribute("class","color-blue");
                    $("#unsub")[0].setAttribute("unSubscribe","N");
                    $("#sub")[0].innerHTML="已订阅";
                    $("#unsub")[0].innerHTML="取消订阅";
                }else {
                    $("#sub")[0].setAttribute("Subscribe","N");
                    $("#sub")[0].setAttribute("class","color-blue");
                    $("#unsub")[0].setAttribute("unSubscribe","Y");
                    $("#sub")[0].innerHTML="订阅";
                    $("#unsub")[0].innerHTML="取消订阅";
                }
                var ownerGrade=0;
                if(!!datas[0].reportDtlOwnerId){
                    saveFlag = "false";
                    $("#mine-report")[0].innerHTML=datas[0].ownerDescription;
                    mineStarNum = datas[0].ownerGrade;
                    addReportStar(datas[0].ownerGrade,"star-one",false,false);
                    $("#btn-release")[0].setAttribute("value","更新");
                }else {
                    saveFlag = "true"
                    addReportStar(0,"star-one",false,false);
                }
                addReportStar(datas[0].grade,"star-two",true,true);
            }
        }
    });
}

//评价整数部分
function formatInt(dataNum){
    return Math.floor(dataNum);
}
//评价小数部分
function formatfloat(dataNum){
    var num = (dataNum.toFixed(1) + "").split(".");
    return num[1]
}

//阅读权限
function formatType(dataType){
    if(dataType=='PUBLIC'){
        return '公开'
    }else if(dataType=='PRIVATE'){
        return '私有'
    }else {
        return '--'
    }

}
//加载报表星星
function addReportStar(starNum,classId,readOnly,half){
    $.fn.raty.defaults.path = contextPath+'/resources/images/CSH/images';
    $('.'+classId).raty({
        number: 5, //多少个星星设置
        targetType: 'hint', //类型选择，number是数字值，hint是设置的数组值
        path: contextPath+'/resources/images/CSH/images',
        hints: ['差', '一般', '好', '非常好', '全五星'],
        cancelOff: 'cancel-off.png',
        cancelOn: 'cancel-on.png',
        size: 5,
        half: half,
        readOnly:readOnly,
        score: starNum,
        starHalf: 'star-half.png',
        starOff: 'star-off.png',
        starOn: 'star-on.png',
        cancel: false,
        click: function(score, evt) {
            if(!readOnly){
                mineStarNum = score;
            }
        }
    });
}
//保存
function saveRemake(){
    if($("#mine-report")[0].value == ""){
        kendo.ui.showInfoDialog({
            title: $l('提示'),
            message: "请输入评论内容再"+$("#btn-release")[0].getAttribute("value")
        }).done(function () {
            return
        });
    }else if(mineStarNum ==0){
        kendo.ui.showInfoDialog({
            title: $l('提示'),
            message: "请给报表打分再"+$("#btn-release")[0].getAttribute("value")
        }).done(function () {
            return
        });
    }else {
        $.ajax({
            type : 'GET',
            url : contextPath+'/save/report/star',
            data:{
                saveFlag:saveFlag,
                reportId:reportId,
                gradedescription:$("#mine-report")[0].value,
                grade:mineStarNum
            },
            contentType : "application/json; charset=utf-8",
            success : function(datas) {
                if(datas.success){
                    kendo.ui.showInfoDialog({
                        message:$("#btn-release")[0].getAttribute("value")+"成功！"
                    }).done(function (evet) {
                        addReportStar(datas.rows[0].grade,"star-two",true,true);
                        $("#intNum")[0].innerHTML=formatInt(datas.rows[0].grade);
                        $("#floatNum")[0].innerHTML="."+formatfloat(datas.rows[0].grade);
                        getAllCom(reportId);
                    });
                }
            }
        });
    }
}
//获取所有的评论
function getAllCom(reportId){
    $.ajax({
        type : 'GET',
        url : contextPath+'/rpt/report/com/query/all',
        data:{
            reportId:reportId,
        },
        contentType : "application/json; charset=utf-8",
        success : function(datas) {
            if(datas.success){
                var data = datas.rows;
                var appendHtml='';
                if(data.length>0){
                    $(".all-comment")[0].innerHTML="";
                    for(var i=0;i<data.length;i++){
                        appendHtml+='<div class="user-comment">';
                        appendHtml+='<div class="comment-user-name">'+data[i].userDesciption+'</div>';
                        appendHtml+='<div class="star star-'+data[i].userId+'"></div>';
                        appendHtml+='<div class="comment-user-content">'+data[i].description+'</div>';
                        appendHtml+='<div class="comment-user-date">'+data[i].comDate+'</div></div>';
                    }
                    $(".totalCount")[0].innerHTML=data.length;
                    $(".all-comment")[0].innerHTML=appendHtml;
                    for(var i=0;i<data.length;i++){
                        addReportStar(data[i].grade,"star-"+data[i].userId,true,true);
                    }
                }else {

                }
            }
        }
    });
}
