var contextPath;
var currentDta;
function getContextPath(url) {
    contextPath = url;
}
function getParentVal(param) {
    if (param == 'new') {
        //根据时间排序
        $.ajax({
            type: 'GET',
            url: contextPath + '/rpt/query/by/date',
            contentType: "application/json; charset=utf-8",
            success: function (datas) {
                if (datas.success) {
                    currentDta = datas.rows;
                    pushData(datas.rows,"new");
                }
            }
        });
    } else if (param == 'poplar') {
        //根据受欢迎程度
        $.ajax({
            type: 'GET',
            url: contextPath + '/rpt/query/by/subscribe',
            contentType: "application/json; charset=utf-8",
            success: function (datas) {
                if (datas.success) {
                    currentDta = datas.rows;
                    pushData(datas.rows,"poplar");
                }
            }
        });
    } else {
        //根据评分高低程度
        $.ajax({
            type: 'GET',
            url: contextPath + '/rpt/query/by/grade',
            contentType: "application/json; charset=utf-8",
            success: function (datas) {
                if (datas.success) {
                    currentDta = datas.rows;
                    pushData(datas.rows,"grade");
                }
            }
        });
    }
}
function pushData(currentDta,parm){
    var appendHtml = '';
    $("#body-div")[0].innerHTML="";
    if(currentDta.length>0){
        for(var i=0;i<currentDta.length;i++){
            appendHtml+='<div class="prices-content">';
            if(i==0){
                appendHtml+='<div class="current-index color-red font-weight font-size-36">'+(i+1)+'</div>';
            }else if(i<3 && i>0){
                appendHtml+='<div class="current-index color-red font-thin font-size-30">'+(i+1)+'</div>';
            }else {
                appendHtml+='<div class="current-index">'+(i+1)+'</div>';
            }
            appendHtml+='<div class="prices-content-img" onclick="gotoDetail(\''+currentDta[i].reportId+'\')">';
            if(currentDta[i].imgUrl){
                appendHtml+='<img src="'+contextPath+'/sys/attach/file/detail?fileId='+currentDta[i].reportLogo+'&token='+currentDta[i]._token+'"></div>';
            }else {
                appendHtml+='<img src="'+contextPath+'/resources/images/RPT/defaultReport.png"></div>';
            }
            appendHtml+='<div class="prices-content-right">';
            appendHtml+='<div >'+currentDta[i].reportTypeDesc+'</div>';
            appendHtml+='<div>'+currentDta[i].reportName+'</div>';
            if(currentDta[i].reportDescription != null && currentDta[i].reportDescription != ""){
                appendHtml+='<div>'+currentDta[i].reportDescription+'</div>';
            }else {
                appendHtml+='<div>暂无报表描述</div>';
            }
            if(currentDta[i].subscribeFlag=='Y'){
                appendHtml+='<div Subscribe="Y" reportId="'+currentDta[i].reportId+'" onclick="subscribeChecked(this);">已订阅</div>';
                appendHtml+='<div class="color-blue" unSubscribe="N" reportId="'+currentDta[i].reportId+'" onclick="subscribeChecked(this);">取消订阅</div>';
            }else {
                appendHtml+='<div class="color-blue" Subscribe="N" reportId="'+currentDta[i].reportId+'" onclick="subscribeChecked(this);">订阅</div>';
                appendHtml+='<div unSubscribe="Y" reportId="'+currentDta[i].reportId+'" onclick="subscribeChecked(this);">取消订阅</div>';
            }
            if(parm == 'new'){
                appendHtml+='<div>上架日：'+timeFormat(currentDta[i].startDate)+'</div>';
            }else if(parm == 'poplar'){
                appendHtml+='<div>订阅人数：'+currentDta[i].subscribeCount+'</div>';
            }else if(parm == 'grade'){
                appendHtml+='<div>综合评分：'+currentDta[i].grade+'</div>';
            }
            appendHtml+='</div></div>';
        }
    }
    $("#body-div")[0].innerHTML=appendHtml;
}
function gotoDetail(reportId){
    for(var i=0;i<parent.$('iframe').length;i++){
        if(parent.$('iframe')[i].contentWindow.clickToDetail){
            parent.$('iframe')[i].contentWindow.clickToDetail(reportId);
        }
    }
}
/* 时间格式转换 */
function timeFormat(data) {
    if (!data) return false;
    return (/\d{4}-\d{1,2}-\d{1,2}/g).exec(data);
}