var contextPath;
function subscribe(this_node,classId,url){
    contextPath = url;
    if(this_node.innerHTML == "订阅" && this_node.getAttribute("subscribe") == "N"){
        subscribeStyle(this_node,classId);
        subscribeUpdate(this_node);
    }
    if(this_node.innerHTML == "取消订阅" && this_node.getAttribute("unsubscribe") == "N"){
        unSubscribeStyle(this_node,classId);
        unSubscribe(this_node);
    }
}
function subscribeStyle(this_node,classId){
    this_node.setAttribute("subscribe","Y");
    this_node.setAttribute("class",classId);
    this_node.nextElementSibling.setAttribute("class",classId+" color-blue");
    this_node.nextElementSibling.setAttribute("unsubscribe","N");
    this_node.innerHTML = "已订阅";
}
function unSubscribeStyle(this_node,classId){
    this_node.setAttribute("unsubscribe","Y");
    this_node.setAttribute("class",classId);
    this_node.previousElementSibling.setAttribute("class",classId+" color-blue");
    this_node.previousElementSibling.setAttribute("subscribe","N");
    this_node.previousElementSibling.innerHTML="订阅";
}
function subscribeUpdate(this_node){
    var report_id = this_node.getAttribute("reportId");
    $.ajax({
        type : 'GET',
        url : contextPath+'/update/subscribe/by/reportId',
        data:{
            reportId:report_id
        },
        contentType : "application/json; charset=utf-8",
        success : function(datas) {
            if(datas.success){
                kendo.ui.showInfoDialog({
                    message:"订阅成功",
                });
            }
        }
    });
}
function unSubscribe(this_node){
    var report_id = this_node.getAttribute("reportId");
    $.ajax({
        type : 'GET',
        url : contextPath+'/delete/subscribe/by/reportId',
        data:{
            reportId:report_id
        },
        contentType : "application/json; charset=utf-8",
        success : function(datas) {
            if(datas.success){
                kendo.ui.showInfoDialog({
                    message:"取消订阅成功",
                });
            }
        }
    });
}